/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NotificationSettingVO.as 4919 2009-08-14 13:13:26Z radua $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

import mx.collections.ArrayCollection;
import mx.controls.Alert;


/**
 * This class associates available actions with a rule, ie a category of notification.
 */
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.notification.service.exchange.NotificationSetting")]
[Bindable]
public class NotificationSettingVO implements IValueObject
{

    /**
     * The name of the rule associated with the action.
     */
    private var ruleObj : String ;

    public function set rule(_rule:String) :void {
        this.ruleObj = _rule;
    }

    public function get rule() : String {
        return this.ruleObj;
    }

    /**
     * The name of the action.
     */
    private var actionObj : ArrayCollection = null;

    public function set action(_action : ArrayCollection) : void {
        this.actionObj = _action;
    }

    public function get action() : ArrayCollection {
        return this.actionObj;
    }

    /**
    * The level associated to the notification.
    */
    private var levelObj:LevelSettingVO = null;

    public function set level(_level:LevelSettingVO) : void {
        this.levelObj = _level;
    }

    public function get level() : LevelSettingVO {
        return this.levelObj;
    }

    /**
     * Whether the notification needs to be acknowledge before executing actions
     * or not. Default is false.
     */
    private var synchronizeObj:Boolean;

    public function set synchronize(_synchronize : Boolean) : void {
        this.synchronizeObj = _synchronize;
    }

    public function get synchronize() : Boolean {
        return this.synchronizeObj;
    }

    /**
     * Acknowledge action name.
     */
    private var acknowledgeActionNameObj : String;

    public function set acknowledgeActionName(_acknowledgeActionName : String) : void {
        this.acknowledgeActionNameObj = _acknowledgeActionName;
    }

    public function get acknowledgeActionName() : String {
        return this.acknowledgeActionNameObj;
    }

    /**
     * How many hours the notification will be displayed after being acknowledged,
     * or if not synchronized after the notification date.
     */
    private var keepDisplayedObj : int;

    public function set keepDisplayed(_keepDisplayed : int) : void {
        this.keepDisplayedObj = _keepDisplayed;
    }

    public function get keepDisplayed() : int {
        return this.keepDisplayedObj;
    }
}
}